------used asset------
BGM - 'Haunted Parking Lot' from 'https://www.youtube.com/watch?v=SfTVLHAEy28&ab_channel=ASMRLACCE'
Sound Effect 'Kids' from 'schizophrenia' by Kiwi
Pumpkin model from 'Spooky-volt' from Xarc
